Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 692168 - x11-base/xorg-server: Add support for media-libs/libglvnd
Summary: x11-base/xorg-server: Add support for media-libs/libglvnd
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal enhancement (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 692206
  Show dependency tree
 
Reported: 2019-08-14 21:04 UTC by Maik
Modified: 2019-09-18 20:05 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild with support for USE=libglvnd (xorg-server-1.20.5.ebuild,5.85 KB, text/plain)
2019-08-14 21:04 UTC, Maik
Details
patch against xorg-server-1.20.5.ebuild (xorg-server-glvnd.patch,1.08 KB, patch)
2019-08-15 08:53 UTC, Maik
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maik 2019-08-14 21:04:55 UTC
Created attachment 586798 [details]
ebuild with support for USE=libglvnd

While the mesa ebuild has (masked) support for libglvnd, the xorg-server ebuild is still a blocker due to static dependency on eselect-opengl. Attaching an ebuild which uses the libglvnd use flag to lift it.
Comment 1 Arfrever Frehtes Taifersar Arahesis 2019-08-14 23:45:51 UTC
Please attach patch for ebuild, not full ebuild, and with "Signed-off-by".
Comment 2 Maik 2019-08-15 08:53:22 UTC
Created attachment 586810 [details, diff]
patch against xorg-server-1.20.5.ebuild
Comment 3 Matt Turner gentoo-dev 2019-09-18 19:56:32 UTC
In the future, please make git formatted patches. Also remember to always keep the 9999 ebuild in sync.
Comment 4 Larry the Git Cow gentoo-dev 2019-09-18 20:05:14 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=596dff7bf9f1ffb504daba2d87076d62feb90908

commit 596dff7bf9f1ffb504daba2d87076d62feb90908
Author:     Maik Freudenberg <hhfeuer@gmx.de>
AuthorDate: 2019-09-18 19:53:03 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2019-09-18 20:05:02 +0000

    x11-base/xorg-server: Add libglvnd support
    
    Closes: https://bugs.gentoo.org/692168
    Signed-off-by: Maik Freudenberg <hhfeuer@gmx.de>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 x11-base/xorg-server/xorg-server-1.20.5.ebuild | 12 +++++++++---
 x11-base/xorg-server/xorg-server-9999.ebuild   | 12 +++++++++---
 2 files changed, 18 insertions(+), 6 deletions(-)